

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.61. table_copy &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.62. table_create" href="table_create.html" />
    <link rel="prev" title="7.3.60. suggest" href="suggest.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/table_copy.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="table_create.html" title="7.3.62. table_create"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.61. </span><code class="docutils literal notranslate"><span class="pre">table_copy</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="table-copy">
<h1><span class="section-number">7.3.61. </span><code class="docutils literal notranslate"><span class="pre">table_copy</span></code><a class="headerlink" href="#table-copy" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.61.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 6.0.8 で追加.</span></p>
</div>
<p>TOOD: Write me</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.61.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドには2つの引数があります。</p>
<p>すべての引数は必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_copy from_name
           to_name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.61.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.61.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションでは引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.61.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>すべての引数は必須です。</p>
<div class="section" id="from-name">
<h4><span class="section-number">7.3.61.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">from_name</span></code><a class="headerlink" href="#from-name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>ソーステーブル名を指定します。</p>
</div>
<div class="section" id="to-name">
<h4><span class="section-number">7.3.61.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">to_name</span></code><a class="headerlink" href="#to-name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>コピー先のテーブル名を指定します。</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.61.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数はありません。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.61.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドが成功したときは以下のようにボディは <code class="docutils literal notranslate"><span class="pre">true</span></code> になります:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>このコマンドが失敗すると、 <code class="docutils literal notranslate"><span class="pre">HEADER</span></code> にエラーの詳細が含まれます。</p>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.61. <code class="docutils literal notranslate"><span class="pre">table_copy</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.61.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.61.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.61.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.61.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.61.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#from-name">7.3.61.4.1.1. <code class="docutils literal notranslate"><span class="pre">from_name</span></code></a></li>
<li><a class="reference internal" href="#to-name">7.3.61.4.1.2. <code class="docutils literal notranslate"><span class="pre">to_name</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.61.4.2. 省略可能引数</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.61.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="suggest.html"
                        title="前の章へ"><span class="section-number">7.3.60. </span><code class="docutils literal notranslate"><span class="pre">suggest</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="table_create.html"
                        title="次の章へ"><span class="section-number">7.3.62. </span><code class="docutils literal notranslate"><span class="pre">table_create</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="table_create.html" title="7.3.62. table_create"
             >次へ</a> |</li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.61. </span><code class="docutils literal notranslate"><span class="pre">table_copy</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>